

We can call might_sleep() functions on the oops handling path (under do_exit).

There seem little point in emitting spurious might_sleep() warnings into the
logs after the kernel has oopsed.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/sched.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/sched.c~suppress-might_sleep-if-oopsing kernel/sched.c
--- 25/kernel/sched.c~suppress-might_sleep-if-oopsing	2004-11-30 01:23:10.453177984 -0800
+++ 25-akpm/kernel/sched.c	2004-11-30 01:23:10.459177072 -0800
@@ -4629,7 +4629,7 @@ void __might_sleep(char *file, int line)
 	static unsigned long prev_jiffy;	/* ratelimiting */
 
 	if ((in_atomic() || irqs_disabled()) &&
-	    system_state == SYSTEM_RUNNING) {
+	    system_state == SYSTEM_RUNNING && !oops_in_progress) {
 		if (time_before(jiffies, prev_jiffy + HZ) && prev_jiffy)
 			return;
 		prev_jiffy = jiffies;
_
